Bug 25584 - When a 'return claim' is added, the button disappears, but the claim date doesn't show up
Summary: When a 'return claim' is added, the button disappears, but the claim date doe...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
: 25734 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-05-22 11:09 UTC by Katrin Fischer
Modified: 2020-09-20 18:59 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04, 19.11.10


Attachments
Bug 25584: Refresh checkouts table when a return claim is added (2.04 KB, patch)
2020-08-27 18:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25584: Fix minor styling issue (1.43 KB, patch)
2020-08-27 18:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25584: Refresh checkouts table when a return claim is added (2.10 KB, patch)
2020-08-31 11:38 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25584: Fix minor styling issue (1.49 KB, patch)
2020-08-31 11:38 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25584: Refresh checkouts table when a return claim is added (2.15 KB, patch)
2020-08-31 20:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25584: Fix minor styling issue (1.54 KB, patch)
2020-08-31 20:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-22 11:09:45 UTC
When adding a 'claims returend' from the checkouts table, the button disappears, but the date of the claim will only appear after a reload of the page. I think it would be more helpful to see the date right away as this helps to confirm the process worked correctly.
Comment 1 Katrin Fischer 2020-06-13 17:20:12 UTC
*** Bug 25734 has been marked as a duplicate of this bug. ***
Comment 2 Tomás Cohen Arazi 2020-08-27 18:11:27 UTC
Created attachment 109247 [details] [review]
Bug 25584: Refresh checkouts table when a return claim is added

This patch triggers a checkouts table refresh when a return claim is
added. I also noticed the same when a return claim is deleted so it is
now also refreshed.

To test:
1. Set the ClaimReturnedLostValue to some valid value (2)
2. Check something out for a patron, and choose to display all checkouts
=> SUCCES: There's the checkouts table, showing the checkout
3. Click on the 'Claim returned' button and confirm
=> SUCCESS: There's no 'Claim returned' button anymore
=> ERROR: The checkout row doesn't display anything about the claim
4. Go to the 'Claims' tab, delete resolve and delete the claim
5. Go to the Checkouts tab
=> ERROR: It doesn't reflect the changes either
6. Apply this patch and start over
=> SUCCESS: Once the claim returned is added, the checkouts table is
refreshed and the information updated
=> SUCCESS: On the Claims tab, if you delete the claim and go to the
Checkouts tab, you are presented the button again.
7. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Tomás Cohen Arazi 2020-08-27 18:11:31 UTC
Created attachment 109248 [details] [review]
Bug 25584: Fix minor styling issue

This patch makes the button present some space between the icon and the
text.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 ByWater Sandboxes 2020-08-31 11:38:08 UTC
Created attachment 109352 [details] [review]
Bug 25584: Refresh checkouts table when a return claim is added

This patch triggers a checkouts table refresh when a return claim is
added. I also noticed the same when a return claim is deleted so it is
now also refreshed.

To test:
1. Set the ClaimReturnedLostValue to some valid value (2)
2. Check something out for a patron, and choose to display all checkouts
=> SUCCES: There's the checkouts table, showing the checkout
3. Click on the 'Claim returned' button and confirm
=> SUCCESS: There's no 'Claim returned' button anymore
=> ERROR: The checkout row doesn't display anything about the claim
4. Go to the 'Claims' tab, delete resolve and delete the claim
5. Go to the Checkouts tab
=> ERROR: It doesn't reflect the changes either
6. Apply this patch and start over
=> SUCCESS: Once the claim returned is added, the checkouts table is
refreshed and the information updated
=> SUCCESS: On the Claims tab, if you delete the claim and go to the
Checkouts tab, you are presented the button again.
7. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 5 ByWater Sandboxes 2020-08-31 11:38:14 UTC
Created attachment 109353 [details] [review]
Bug 25584: Fix minor styling issue

This patch makes the button present some space between the icon and the
text.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 6 Katrin Fischer 2020-08-31 20:21:48 UTC
Created attachment 109379 [details] [review]
Bug 25584: Refresh checkouts table when a return claim is added

This patch triggers a checkouts table refresh when a return claim is
added. I also noticed the same when a return claim is deleted so it is
now also refreshed.

To test:
1. Set the ClaimReturnedLostValue to some valid value (2)
2. Check something out for a patron, and choose to display all checkouts
=> SUCCES: There's the checkouts table, showing the checkout
3. Click on the 'Claim returned' button and confirm
=> SUCCESS: There's no 'Claim returned' button anymore
=> ERROR: The checkout row doesn't display anything about the claim
4. Go to the 'Claims' tab, delete resolve and delete the claim
5. Go to the Checkouts tab
=> ERROR: It doesn't reflect the changes either
6. Apply this patch and start over
=> SUCCESS: Once the claim returned is added, the checkouts table is
refreshed and the information updated
=> SUCCESS: On the Claims tab, if you delete the claim and go to the
Checkouts tab, you are presented the button again.
7. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2020-08-31 20:21:52 UTC
Created attachment 109380 [details] [review]
Bug 25584: Fix minor styling issue

This patch makes the button present some space between the icon and the
text.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2020-09-02 13:36:06 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-09-04 21:49:40 UTC
backported to 20.05.x for 20.05.04
Comment 10 Aleisha Amohia 2020-09-10 04:57:32 UTC
backported to 19.11.x for 19.11.10
Comment 11 Victor Grousset/tuxayo 2020-09-20 18:59:35 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.